//
//  Controller.h
//  YKBookmarks
//
//  Created by KOYAMA Yoshiaki on Thu Feb 10 2005.
//  Copyright (c) 2005 KOYAMA Yoshiaki. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface Controller : NSObject {
	IBOutlet id _objectController;
	IBOutlet id _arrayCollectionsController;
	IBOutlet id _arrayBookmarksController;

	IBOutlet id _preferencesWindow;

	IBOutlet id _collectionTitleButton;

	IBOutlet id _bookmarkTitleButton;
	IBOutlet id _bookmarkUrlButton;
	IBOutlet id _bookmarkDateButton;

	IBOutlet id _InputTitleButton;
	IBOutlet id _InputUrlButton;
	IBOutlet id _InputCommentButton;

	IBOutlet id _detailTitleButton;
	IBOutlet id _detailUrlButton;
	IBOutlet id _detailDateButton;
	IBOutlet id _detailCommentButton;

	int _tagFont;
}

- (IBAction)selectButton:(id)sender;
- (IBAction)allButton:(id)sender;
- (IBAction)prefFontButton:(id)sender;
- (void)setTitleButton:(int)tag :(NSFont *)font;
- (NSString *)defaultFontKey:(int)tag;
- (NSFont *)didChangeFont:(id)sender;

@end
